# report\_column\_results

<pre class="language-python"><code class="lang-python">dbnl.report_results(
    *,
    run: <a data-footnote-ref href="#user-content-fn-1">Run</a>,
    data: <a data-footnote-ref href="#user-content-fn-2">pandas.DataFrame</a>,
) -> None:
</code></pre>

## Parameters

<table><thead><tr><th width="208">Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>run</code></td><td>The dbnl <a href="../../sdk-objects/run">Run</a> that the results will be reported to.</td></tr><tr><td><code>data</code></td><td>A <a href="https://pandas.pydata.org/docs/reference/api/pandas.DataFrame.html">pandas DataFrame</a> with all the results to report to dbnl. The columns of the DataFrame must match the columns described in the <a href="https://pandas.pydata.org/docs/reference/api/pandas.DataFrame.html">RunConfig</a> associated with the Run.</td></tr></tbody></table>

## Limitations

{% hint style="warning" %}
All data should be reported to dbnl at once. Calling `dbnl.report_column_results` more than once will overwrite the previously uploaded data.
{% endhint %}

{% hint style="danger" %}
Once a Run is [closed](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-functions/run/close_run). You can no longer call `report_column_results` to send data to dbnl.
{% endhint %}

## Examples

```python
import dbnl
import pandas as pd
dbnl.login()


proj1 = dbnl.get_or_create_project(name="test_p1")
runcfg1 = dbnl.create_run_config(project=proj1, columns=[{"name": "error", "type": "float"}])
run1 = dbnl.create_run(project=proj1, run_config=runcfg1)

data = pd.DataFrame({"error": [0.11, 0.33, 0.52, 0.24]})
dbnl.report_column_results(run=run1, data=data)
```

[^1]: [Run](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-objects/run)

[^2]: [pandas.DataFrame](https://pandas.pydata.org/docs/reference/api/pandas.DataFrame.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-functions/run-results/report_results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
